Page MenuHomePhabricator

Allow wikitech to write files for Math
Closed, ResolvedPublic

Description

During this second attempt to deploy Math on the wikitech extension, we got a new error:

2016-02-11 16:57:23 silver labswiki 1.27.0-wmf.13 exception ERROR: [efc7b4f6] /wiki/User:Dereckson/Sandbox   FileBackendException from 
                    line 154 of /srv/mediawiki/php-1.27.0-wmf.13/includes/filebackend/FileBackendGroup.php: No backend defined with the name 
                    `global-multiwrite`. {"exception_id":"efc7b4f6"}

This is probably triggered when Math tries to save the rendered PNG.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterSet wgMathFileBackend to false for wikitech wikis
operations/mediawiki-config : masterTest file backend for Math on labtestwiki
operations/mediawiki-config : masterCustomize wgMathDirectory for wikitech
operations/puppet : productionCreate /srv/math-images on wikitech hosts

Event Timeline

Dereckson raised the priority of this task from to Medium.
Dereckson updated the task description. (Show Details)
Dereckson added subscribers: Matanya, Krenair, JEumerus and 2 others.

Maybe we just want to set wmgMathFileBackend = 'local-multiwrite' on wikitech (does that exist? no idea how to list them)? Note that Captcha on wikitech is disabled for this reason.

@Andrew Could you enable Math extension on https://labtestwikitech.wikimedia.org/ and check if that local-multiwrite file backend works?

Nevermind, I see it's managed by our main operations/mediawiki-config repo, using labtestwikitech as database key.

Actually it's labtestwiki.

Actually it's labtestwiki.

I'm fixing a slight error in this case.

Change 270146 had a related patch set uploaded (by Dereckson):
Test file backend for Math on labtestwiki

https://gerrit.wikimedia.org/r/270146

I understand a bit more about how the file backends work these days, and I think this would make wikitech attempt to connect to production's Swift, which we probably don't want to become dependent on.

Dereckson renamed this task from Allow wikitech to write files to Allow wikitech to write files for Math.Sep 2 2016, 12:34 AM

Change 308110 had a related patch set uploaded (by Dereckson):
Customize wgMathDirectory for wikitech

https://gerrit.wikimedia.org/r/308110

Change 308112 had a related patch set uploaded (by Dereckson):
Create /srv/math-images on wikitech hosts

https://gerrit.wikimedia.org/r/308112

Change 308112 merged by Dzahn:
Create /srv/math-images on wikitech hosts

https://gerrit.wikimedia.org/r/308112

Change 308110 merged by jenkins-bot:
Customize wgMathDirectory for wikitech

https://gerrit.wikimedia.org/r/308110

Mentioned in SAL [2016-09-02T01:05:38Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Customize wgMathDirectory for wikitech (T126628, 1/2) (duration: 00m 47s)

Mentioned in SAL [2016-09-02T01:06:35Z] <dereckson@tin> Synchronized wmf-config/CommonSettings.php: Customize wgMathDirectory for wikitech (T126628, 2/2) (duration: 00m 46s)

Changes have been deployed.

We've still a math_output_error error returned here:

MathTexvc.php
$backend = $this->getBackend();
# Create any containers/directories as needed...
if ( !$backend->prepare( [ 'dir' => $hashpath ] )->isOK() ) {
    return $this->getError( 'math_output_error' );
}

Change 308117 had a related patch set uploaded (by Dereckson):
Set wgMathFileBackend to false for wikitech wikis

https://gerrit.wikimedia.org/r/308117

Change 270146 abandoned by Dereckson:
Test file backend for Math on labtestwiki

Reason:
Superseded by local filestorage backend.

https://gerrit.wikimedia.org/r/270146

Change 308117 merged by jenkins-bot:
Set wgMathFileBackend to false for wikitech wikis

https://gerrit.wikimedia.org/r/308117

Mentioned in SAL [2016-09-05T23:27:01Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Set wgMathFileBackend to false for wikitech wikis (T126628) (duration: 00m 48s)

Dereckson closed this task as Resolved.Sep 5 2016, 11:31 PM
Dereckson claimed this task.

Extension now successfully write files to /srv/math-images.

Change 308671 had a related patch set uploaded (by Dereckson):
Wikitech: Serve /srv/math-images as /w/images/math

https://gerrit.wikimedia.org/r/308671